ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsprotoagg

clean:
	rm -f *.o *.lo artsprotoagg
	rm -Rf .libs

strip:: artsprotoagg
	@-if [ -f .libs/artsprotoagg ]; then \
	  strip .libs/artsprotoagg ; \
	else \
	  strip artsprotoagg ; \
	fi

artsprotoagg: artsprotoagg.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsprotoagg.o ${ARTSCLASSLIB} @LIBS@ -o artsprotoagg

artsprotoagg.o: artsprotoagg.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsprotoagg.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsprotoagg @bindir@/artsprotoagg
	../../install-sh -c -m 444 artsprotoagg.man @mandir@/manl/artsprotoagg.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsprotoagg
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsprotoagg.l


